Bug 261061 - Evolution crashes don't trigger bug-buddy
Evolution crashes don't trigger bug-buddy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All All
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 13:25 EDT by Christopher Beland
Modified: 2008-01-29 14:18 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.12.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 14:18:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-08-28 13:25:34 EDT
Since installing Fedora 7 about four days ago, Evolution has crashed on me
twice, once after I created a new directory to "Save all attachments" to, and
another time when I was refiling mail messages offline.

In previous Fedora releases, crashes of this kind triggered bug-buddy and I
would submit a stack trace, but this didn't happen for me either time.

bug-buddy-2.18.0-2.fc7
evolution-2.10.3-2.fc7
Comment 1 Matthew Barnes 2007-08-28 13:41:53 EDT
If either of these crashes are reproducible, could you try running Evolution
from a terminal and see if any messages get printed when Evolution crashes?

Sometimes, when programs do really nasty things like freeing the same memory
twice, glibc will abort the program before Bug Buddy gets triggered.

Do other programs trigger bug-buddy when they abort?
Perhaps try "kill -SEGV <pid-of-some-program>".
Comment 2 Christopher Beland 2007-08-28 15:06:05 EDT
Interestingly, I *can* get Evolution to trigger bug-buddy if I kill -SEGV it.  I
could not reproduce these crashes, but I will capture Evolution terminal output
until it crashes again.
Comment 3 Matthew Barnes 2007-08-28 15:28:06 EDT
Yeah, the Bug Buddy trigger works by listening for UNIX kill signals, SEGV being
the most common (trying to access an invalid memory address).  I guess glibc
aborts by some other means, if that is indeed the cause.
Comment 4 Christopher Beland 2007-08-29 12:05:34 EDT
I experienced another crash today which did not trigger bug-buddy.  I
was replying to one message while forwarding another, and I edited my
preferences to change the forwarding style to "quoted" from the
default.  The following was captured in .xsession-errors, though
without timestamps, it's difficult to say whether or not they were
printed around the time of the crash.


(evolution:2433): e-data-server-DEBUG: Loading categories from
"/home/beland/.evolution/categories.xml"
(evolution:2433): e-data-server-DEBUG: Loaded 29 categories

(evolution:2433): e-utils-WARNING **: Cannot resolve symbol
'org_gnome_new_mail_config' in plugin
'/usr/lib/evolution/2.10/plugins/liborg-gnome-new-mail-notify.so' (not exported?)

(evolution:2433): GLib-GObject-WARNING **: gsignal.c:1669: signal
`source_selected' is invalid for instance `0x9cab370'

(evolution:2433): GLib-GObject-WARNING **: gsignal.c:1669: signal
`source_selected' is invalid for instance `0x9cab490'

***MEMORY-ERROR***: evolution[2433]: GSlice: assertion failed:
sinfo->n_allocated > 0
Comment 5 Matthew Barnes 2007-08-29 14:05:37 EDT
Those warnings look like an upstream bug I fixed recently [1].  I don't think
I've pushed the patch for it to Fedora 7 yet; I'll make it a point to do that.

But I'm still not sure why Bug Buddy is not opening for you, unless the GSlice
code is bypassing the Bug Buddy trigger like glibc tends to do.

My only suggestion at this point is to try running Evolution directly from GDB
and get a backtrace that way:

   $ gdb /usr/bin/evolution
   ...
   (gdb) run
   ...
   ...  (wait for crash)
   ...
   (gdb) thread apply all backtrace

In the meantime I'll push the aforementioned bugfix to Fedora 7 and hope that at
least reduces the amount of crashes you're seeing.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=447591
Comment 6 Christopher Beland 2007-08-29 14:54:26 EDT
Cool, thanks.

I just experienced another crash while changing from viewing an IMAP folder to
viewing a local one by clicking on the folder tree.  Unfortunately, even using
the gdb method you outlined above, it did not result in a stack trace. This is
the last bit of GDB output:

[Thread -1311253616 (LWP 5331) exited]
[Thread -1254634608 (LWP 5333) exited]
[Thread -1332233328 (LWP 5332) exited]
[New Thread -1332233328 (LWP 5334)]
[New Thread -1254634608 (LWP 5335)]
[Thread -1332233328 (LWP 5334) exited]

***MEMORY-ERROR***: evolution[4391]: GSlice: assertion failed:
sinfo->n_allocated > 0
[Switching to Thread -1332233328 (LWP 5334)]
Cannot remove breakpoints because program is no longer writable.
It might be running in another process.
Further execution is probably impossible.
0x0065f7e1 in __nptl_death_event () from /lib/libpthread.so.0
ptrace: No such process.
(gdb) thread apply all backtrace
Couldn't get registers: No such process.


At this point, process 4391 is a zombie.
Comment 7 Matthew Barnes 2007-08-30 14:13:14 EDT
I pushed evolution-2.10.3-4.fc7 to Updates Testing with a fix for the "signal is
invalid" warnings you're seeing.  Should be available within a day or so.
Comment 8 Christopher Beland 2007-09-04 20:03:02 EDT
Hmm, I've enabled [updates-testing] in
/etc/yum.repos.d/fedora-updates-testing.repo and got a ton of updates as a
result, but after running "yum update" just now, evolution-2.10.3-2.fc7 is still
installed.
Comment 9 Matthew Barnes 2007-09-04 20:24:36 EDT
Looks like it got pushed to Updates Testing today at 15:01 EST.  If you're using
a mirror, it might take a day for the mirror to sync up with the latest updates.
 Maybe try again tomorrow?
Comment 10 Christopher Beland 2007-09-05 10:53:05 EDT
Yay, it came through today.
Comment 11 Matthew Barnes 2007-11-07 22:52:05 EST
Did the update fix the problem?  I see Bug Buddy pop up all too often.
Comment 12 Matěj Cepl 2008-01-18 12:39:30 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 13 Christopher Beland 2008-01-18 12:50:20 EST
Yes, I've since had Evolution crash in Fedora 8 and Bug Buddy did indeed handle it.
Comment 14 Matthew Barnes 2008-01-29 14:18:44 EST
Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.